
SCM Creator (+Github) - Bug #2120

git_ext not applied when creating repository after project creation

08 Nov 2012 05:43 - Christian Rishøj

Status: Closed Start date: 08 Nov 2012

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.4.2   

Redmine version:  External issue:  

Description

The git_ext option adds a default extension to git repositories, and it works well when creating a new project and auto-creating a

repository in the process.

However, when creating the repository after the project has been created, the git_ext option has no effect.

Here’s a small patch that fixes the issue:

--- 

vendor/plugins/redmine_scm/lib/scm_repositories_controller_patch.rb.orig    2012-11-08 13:31:43.00

0000000 +0800

+++ 

vendor/plugins/redmine_scm/lib/scm_repositories_controller_patch.rb    2012-11-08 13:32:02.0000000

00 +0800

@@ -220,7 +220,7 @@

         def scm_create_repository(repository, interface, url)

             name = interface.repository_name(url)

             if name

-                path = interface.path(name)

+                path = interface.default_path(name)

                 if File.directory?(path)

                     repository.errors.add(:url, :already_exists)

                 else

Related issues:

Duplicates SCM Creator (+Github) - Patch #2095: Git repositories are always c... Closed 24 Jul 2012 14 Nov 2012

Associated revisions

Revision 119 - 15 Nov 2012 00:08 - Andriy Lesyuk

Applied fixes (#2095, #2102 and #2120)

History

#1 - 13 Nov 2012 00:27 - Andriy Lesyuk

- Status changed from New to Open

- Target version set to 0.4.2

#2 - 15 Nov 2012 00:09 - Andriy Lesyuk

- Status changed from Open to Closed
